Subject: bug#6774: Cut and paste with C-w/mouse-2 not working?

From: Eli Zaretskii <[email-masked]>
Date: Fri, 13 Aug 2010 14:29:35 +0300

> From: Stefan Monnier <[email-masked]>
> Date: Fri, 13 Aug 2010 12:38:06 +0200
> Cc: [email-masked], [email-masked], [email-masked]
> 
> I think that for select-active-region to work the way you seem to want
> it to work (i.e. auto-select as soon as the region is active and
> non-empty), the "right hook" to use would be something like
> a redisplay-hook (i.e. an active region is selected if/when it gets
> displayed).  I would welcome such a hook, BTW, especially if it gets run
> *before* redisplay.

What exactly do you mean by "*before*" here?  Is it okay to do that in
redisplay_internal, as one of the first things, for example?  Note
that it's quite common for redisplay_internal to make a few quick
checks, decide that it has nothing to do, and return without
redisplaying anything.